What is Metadata?

Metadata is hidden information contained within Microsoft Office documents and files. Metadata enhances editing, viewing, filing, and retrieval of Word documents. Metadata provides information about a document the author or authors find invaluable; however this information is not always appropriate to share, particularly outside your firm. Because this information can be revealing, in many cases it is desirable to remove metadata to avoid unintentional disclosure.

Below are some examples of metadata found in a typical Word document:

  • Author's name/initials

  • Author's company/organization name
  • Server name on which the document is stored
  • File properties/summary information
  • Non-visible portions of embedded OLE objects
  • Previous author's name/initials
  • Document version and revision information
  • Template details
  • Hidden text
  • Comments
  • Smart Tags

You can get further information about Metadata from the following Microsoft web pages:

Find and remove metadata (hidden information) in your legal documents

How to minimize metadata in Office documents

How to minimize metadata in Word 2003


Overview

KI Systems Metadata Tool

KI Systems Metadata Tool working with Office 2007 provides complete control over metadata. Using customizable features, Metadata Tool can be used to both discover (analyze) and remove metadata from files and documents within Word, Windows Explorer or attachments in Outlook. While Office 2007 does offer some Metadata management capability, KI Systems' Metadata Tool provides a complete & efficient solution.

Metadata Tool in Word

Click the KI Metadata Tool tab on the ribbon:

In Explorer:

Right mouse click menu

In Outlook:

Metadata tool has four components: Options, Analyze, Processing Settings, and Outlook Integration.

____________________


Analyze

Analyzing documents & files

Analyze allows you to preview existing metadata. After you have selected the Processing Level and Processing Option from the Options Tab, if you click the Analyze tab or click Next, Metadata Tool will scan the document for metadata and display the results.

This reveals metadata that was found (based on the Processing Level chosen). You may select/un-select any of the items as needed. When you are ready to proceed with the removal of metadata, click the Clean Now! button.

Custom Document Properties (Non-KI) and Document Variables (Non-KI) :

KI Systems Business Pak and Pleading Pak template processes rely on custom document properties and document variables to provide advanced features such as "Carry Over" and dynamic footer updates. We recommend that this information be removed only on copies of original documents. This will retain the data required by these features and allow the Business and Pleading Pak templates and footer processes to remain functional in original documents.

Note: If you select "Document Statistics", all of the check boxes below it will automatically be selected. Even if you "unselect" any of these options, all will be cleared.

Configure
This will take you to the Configuration screen.

Print Report
From the Analyze tab, you may print a report showing information Metadata Tool found about the current document.

Save Report
From the Analyze tab, you may save the report for later viewing.

Note: The Metadata Tool will not remove any information until you press the Clean Now! button.

____________________


Processing Options

Active and Copied Files

Because Metadata Tool will permanently alter a document when processed, in some cases users may wish to run the Metadata Tool on a copy of the document rather than the original. KI Systems Metadata Tool allows a user to make this choice during processing on the Options tab.

Note: If you need to preserve smart tags, routing slips, etc., it is wise to run Metadata Tool on a copy of the original document.

By default, Metadata Tool will process the active (open) document.

If you wish to maintain the original document, select the "Copy active file and process in this folder" option. When using this option, Metadata Tool creates the copy in the default location (or a path chosen by the user). The default location for Vista is the Users 'Documents' folder. In Windows XP the location is 'My Documents'.

____________________


Configure

Configuring Metadata Tool

From the ribbon select the KI Metadata Tool tab.

Click Configure Settings:

Processing Settings:

  • Save my last used Processing Settings on Exit. This option will record the processing options you have selected during the current session of the Metadata Tool. Subsequent sessions will use these settings.

  • Print analysis report for each file cleaned. Metadata Tool will print a report about what was found in each document processed.

  • Display warning prior to altering and original document. By default, the Metadata Tool is designed to clean your original document. In some cases you may wish to copy the file for processing and retain your original file. This option serves as a warning to remind you that you are processing and altering original files. We recommend enabling this warning.

  • Process Word Template Files (.dot). By default, the Metadata Tool processes documents (.doc) but with this option, it will also process document templates.

  • Process RTF Files (.rtf). By default, the Metadata Tool processes documents (.doc) but with this option, it will also process Rich Text Format files.

Outlook Integration:

Metadata Tool in Outlook provides users the ability to scan attachments prior to delivery. When a user clicks 'Send', Metadata Tool will detect attachments, the file type(s) and processes them according to the following settings:

  • Enable Metadata Tool within Outlook. With this option, the Metadata Tool toolbar will appear in Outlook. This option allows you to enable or disable Metadata Tool integration within Outlook.

  • Prompt me to launch the Metadata Tool. This allows you to start the Metadata Tool in Outlook when you click the Send button. The following message will appear:

  • Automatically start the Metadata Tool. This will start the Metadata Tool when you click the Send button.

  • Automatically start the Metadata Tool and Analyze attachment(s) using my default preference settings. This will start the Metadata Tool and analyze the attachments when you click Send.

____________________


Options

Processing Options

With Metadata Tool, you are in control of what you want to clean or remove. When you close Metadata Tool and open it again later, users can click on My Settings and their previously saved settings will be displayed.

Below is the complete list of options:

Option | Details
Exclude Personal Information | If the option "Remove Personal Information" is off in Tools, Options, Security, Metadata Tool turns it on.
Built-in Document Properties (Clear All) | Information stored in the File, Properties, Summary screen will be cleared.
Custom Document Properties (Non-KI) * | Information stored in the File, Properties, Custom screen not generated by KI Systems Law Automation Tools, will be cleared.
Custom Document Properties (Delete All) | All information stored in the File, Properties, Custom screen will be cleared. This is off by default and must be manually checked by the user.
Document Variables (Non-KI) * | Third party programs, custom macros and add-in packages rely on Document Variables and can contain sensitive information. Metadata Tool removes all Variables not created by KI Systems Law Automation Tools.
Document Variables (Delete All) | All Document Variables will be cleared by Metadata Tool regardless of which program used them. This is off by default and must be manually checked by the user.
Document Statistics (Reset Time) | Information stored in the File, Properties, Statistics screen will be cleared.
Document Template (Mask to Normal) | Every document is based on a template and each template has metadata in it. Metadata Tool will base the template on Word's default template, Normal.dot.
Track Changes (Accept All Revisions) | It is difficult to detect track changes unless all changes have been fully rejected or accepted. Metadata Tool will turn "Track Changes" off and all changes will be accepted.
Fast Saves (Turn Off) | By allowing Fast Saves (Tools, Options, Save), Word appends changes made to the document at the end of the file rather than overwriting the file. Metadata Tool turns Allow Fast Saves off.
Remove Routing Slip Properties | When you use Word's routing feature, the name of all users to whom the document is routed will be displayed on the routing slip. Metadata will clear the routing slip.
Remove Word Version | Every time you edit a document, Word creates separate versions of each editing session, and stores it in the document itself. Metadata Tool removes all previous versions of the document
Remove All Comments | Comments can be embedded into a document and can contain information not suitable for publication. Metadata Tool removes all comments.
Remove All Hyperlinks | Hyperlinks provide access to intranet, server and web sites from the document. Metadata Tool removes all hyperlinks.
Remove All Hidden Text (Except Single Paragraph Marks) | Text can be embedded into a document as hidden. Metadata Tool removes all hidden text except for hidden paragraph characters.
Remove all Smart Tags | Data in a document can be recognized and labeled if found in another application (like a name in Outlook Contacts) and stored as a Smart Tag. Metadata Tool removes all Smart Tags.
Convert Graphics to Pictures | Graphics and other embedded objects can be linked to other applications. Metadata Tool converts these to pictures.
Convert Font Size 1 to Normal Style Font Size | Text that has been formatted as font size 1 (making the text impossible to read) will be converted to Normal Style.
Convert White Font to Normal Style Font Color | Text that has been formatted as white (making the text impossible to read) will be converted to Normal Style.

* - KI Systems Business Pak and Pleading Pak template processes rely on custom document properties and document variables to provide advanced features such as "Carry Over" and dynamic footer updates. We recommend that this information be removed only on copies of original documents. This will retain the data required by these features and allow the Business and Pleading Pak templates and footer processes to remain functional in original documents.

Note: The Metadata Tool will not remove any information until you press the Clean Now! button.

____________________


Processing Levels

You may remove all metadata information or selectively choose which to remove. Depending upon who will be viewing the document, some metatdata information may be appropriate to retain.

There are six Processing Levels:

  • Recommended. Checks all of the options except for two. These items are needed for the KI Law Automation Tools to work correctly. If you are not running this software, you may select these two options.

  • All Metadata. Checks all boxes.

  • Medium. Fewer options are automatically selected.

  • Low. Fewer options are automatically selected.

  • Clear All. Clears all options.

  • My Settings. Customize a setting that you may want to use more than once. After you have done so, click Save My Settings.

____________________


To Clean a File in Word

  • Launch Microsoft Word.

  • Open the file to be processed.

  • From the ribbon, select the KI Metadata Tool tab:

  • Click Run Tool.

The Options screen will be shown:

  • Select a Processing Level.

  • Select Processing Options.

  • Click Next to Analyze the document for metadata based on your choices.

On the Analyze screen, review the discovered metadata and make any necessary changes.

Note: If you select "Document Statistics", all of the check boxes below it will automatically be selected. Even if you "unselect" any of these options, all will be cleared.

  • Press Clean Now! when you are ready to remove Metadata from the document.

  • When processing is complete, press Done.

____________________


To Clean a Single File in Windows Explorer

You can run the Metadata Tool in Windows Explorer against single or multiple files. Metadata Tool can analyze and clean the following document types: RTF, DOC and DOT.

Cleaning Single Files

  • Launch Windows Explorer.

  • Locate the file to be processed.

  • Right mouse click on the file and select the KI Metadata Tool from the menu:

(The Metadata Tool is also visible on the File menu of Windows Explorer.)

The Options screen appears:

For a list of what each option represents, click here.

  • Select the Processing Level.

  • Select the Processing Option.

  • Click Next or open the Analyze tab.

Metadata Tool will now analyze the document based on your settings and present the results.

  • After reviewing discovered metadata items, you may select or de-select items for removal.

Note: If you select "Document Statistics", all of the check boxes below it will automatically be selected. Even if you "unselect" any of these options, all will be cleared.

  • Press Clean Now! when you are ready to remove the selected Metadata from the document.

  • When processing is complete, press Done

____________________


To Clean Multiple Files in Windows Explorer

You can run the Metadata Tool in Windows Explorer against single or multiple files. Metadata Tool can analyze and clean the following document types: RTF, DOC and DOT.

Cleaning Multiple Files

  • Launch Windows Explorer.

  • Locate the files to be processed.

  • Select files (Press Ctrl and then click each file) to be processed.

  • Right mouse click on the first highlighted file, and select the KI Metadata Tool from the menu:

(The Metadata Tool is also visible on the File menu of Windows Explorer.)

The Options screen appears:

For a list of what each option represents, click here.

  • Select the Processing Level.

  • Select the Processing Option.

  • Click Next or open the Analyze tab.

Metadata Tool will now analyze the document based on your settings and present the results.

  • After reviewing the discovered metadata items you may select or de-select items for removal.

Note: If you select "Document Statistics", all of the check boxes below it will automatically be selected. Even if you "unselect" any of these options, all will be cleared.

  • Press Clean Now! when you are ready to remove the selected Metadata from the document.

  • When processing is complete, press Done:

  • Processing will continue on the remaining selected documents until all selected files have been processed.

____________________


To Clean a file in Outlook

Metadata Tool in Outlook

Metadata Tool in Outlook provides a quick and simple way to analyze and remove metadata from attachments. Using the same features available in Word, users can analyze & clean attachments prior to being deilvered.

In Outlook, click KI Systems - Metadata Tool

  • Click Configure Metadata Tool

  • Choose your preferred settings for Metadata Tool

Save my last used Processing Settings on Exit. This option will record the processing options you have selected during the current session of the Metadata Tool. Subsequent sessions will use these settings.

Print analysis report for each file cleaned. Metadata Tool will print a report about what was found in each document processed

Display warning prior to altering and original document. By default, the Metadata Tool is designed to clean your original document. In some cases you may wish to copy the file for processing and retain your original file. This option serves as a warning to remind you that you are processing and altering original files. We recommend enabling this warning.

Process Word Template Files (.dot). By default, the Metadata Tool processes documents (.doc) but with this option, it will also process document templates.

Process RTF Files (.rtf). By default, the Metadata Tool processes documents (.doc) but with this option, it will also process Rich Text Format files.

Outlook Integration:

Integration with Outlook is provided on "Send" of an e-mail message. The Metadata Tool will detect attachments and determine if they are .doc, .dot or .rtf formatted files. If attachments are found, they are processed according to the following settings:

  • Choose your preferred settings for Outlook

Enable Metadata Tool within Outlook. With this option, the Metadata Tool toolbar will appear in Outlook. This option allows you to enable or disable Metadata Tool integration within Outlook.

Prompt me to launch the Metadata Tool. This allows you to start the Metadata Tool in Outlook when you click the Send button. The following message will appear:

Automatically start the Metadata Tool. This will start the Metadata Tool when you click the Send button.

Automatically start the Metadata Tool and Analyze attachment(s) using my default preference settings. This will start the Metadata Tool and analyze the attachments when you click Send.

Note: once you have configured Metadata Tool, the above steps are not required when sending attachments in the future.

  • Compose your email message and attach the file(s).

  • Click Send.

Note: Metadata Tool will not process documents that are in the body of the message, or process document links.

If you selected Prompt me to launch the Metadata Tool in the configuration screen, the following message will appear:

  • Click Yes.

The following screen will appear:

  • Select a Processing Level.

  • Select a Processing Option.

  • Click Next to view the Analyze screen.

Depending on what Processing Level was selected, and the metadata found in the document, the following screen appears:

  • Make any required changes on the Analyze screen.

Note: If you select "Document Statistics", all of the check boxes below it will automatically be selected. Even if you "unselect" any of these options, all will be cleared.

  • Press Clean Now! when you are ready to remove metadata.

  • When processing is complete, press Done.

_____________________


To Clean a File in Word to Send as Attachment

  • Open Word.

  • Open the file to be processed.

  • Click the Office button, Send, E-mail (Send a copy of the document in an e-mail message as an attachment):

The e-mail message will appear with the attachment.

When you are finished and click Send, Metadata Tool will ask if you would like to inspect the document. If you click No the message will be sent normally.

If you click Yes, Metadata Tool will inspect the attachment.

  • Select a Processing Level.

  • Select a Processing Option.

  • Click Next to view the Analyze screen.

Metadata Tool will now analyze the document based on your settings and present the results.

  • Review the discovered metadata items and select or de-select items as needed.

Note: If you select "Document Statistics", all of the check boxes below it will automatically be selected. Even if you "unselect" any of these options, all will be cleared.

  • Press Clean Now! when you are ready to run the Metadata Tool.

  • When processing is complete, Press Done.

  • The e-mail message will be created in Outlook with the cleaned document as an attachment.

____________________


Passworded Form Document

Passworded Document for Tracked Changes, Comments & Forms

If a password is necessary in order to access a document with Form fill-in fields, Metadata Tool will ask for the password before proceeding.

  • Provide the password when prompted.

Note: Metadata Tool does not "remember" passwords for security reasons therefore you will be prompted to provide the password every time you process a password protected file with Metadata Tool.


Passworded to Modify

If a password is necessary in order to modify the document, the following screen will appear when you open the file:

  • Provide the password to access the document, then start the Metadata Tool.

  • Enter the password again to proceed with document cleaning using Metadata Tool.

Note: For security reasons, Metadata Tool does not "remember" passwords. You will be prompted to provide the password every time you process a password protected file with Metadata Tool.


iManage

Interwoven

Interwoven's document managment product is Worksite. Documents stored in Worksite may be opened and processed with Metadata Tool in the same fashion as document not stored in a document management system (DMS). Metadata Tool can be used to clean the original file or a copy of a file (or files) stored in a DMS.

Here are three Metadata Tool/Worksite scenarios:

  1. Cleaning the active document. From within Word, search for the file or use the Work List, and open the file. Run the Metadata Tool and process the file.

  2. Cleaning a copy of the document. Check out a document and save it to a folder on the local drive. Launch Windows Explorer, navigate to the local folder, right mouse click on the file, and select Metadata Tool from the menu.

  3. Cleaning multiple copies of the document. Check out the documents and save them to a folder on the local drive. Launch Windows Explorer, navigate to the local folder, Control+Click on each file, right mouse click on one of the selected files, and select Metadata Tool from the menu.

  4. Cleaning an email attachment before sending. Create the message in Outlook, attach the files to the message, and click Send. Based on your current configuration, the Metadata Tool will run and process the documents.

____________________


Hummingbird

Opentext - Hummingbird

Hummingbird is the creator of the document management systems (DMS) DocsOpen and PowerDocs. Documents stored in these management systems can be opened and processed through the Metadata Tool. You can clean the original file or a copy of the file.

Here are three Metadata Tool/Hummingbird scenarios:

  1. Cleaning the active document. From within Word, search for the file or use the Recent Edit list, and open the file. Run the Metadata Tool and process the file.

  2. Cleaning a copy of the document. Check out a document and save it to a folder on the local drive. Launch Windows Explorer, navigate to the local folder, right mouse click on the file, and select Metadata Tool from the menu.

  3. Cleaning multiple copies of the document. Check out the documents and save them to a folder on the local drive. Launch Windows Explorer, navigate to the local folder, Control+Click on each file, right mouse click on one of the selected files, and select Metadata Tool from the menu.

  4. Cleaning an email attachment before sending. Create the message in Outlook, attach the files to the message, and click Send. Based on your current configuration, the Metadata Tool will run and process the documents.

____________________


WORLDOX

Documents stored in WORLDOX can be opened and processed through the Metadata Tool. You can clean the original file or a copy of the file.

Here are three Metadata Tool/iManage scenarios:

  1. Cleaning the active document. From within Word, search for and open the file. Run the Metadata Tool and process the file.

  2. Cleaning a copy of the document. Copy a file to a folder on the local drive. Launch Windows Explorer, navigate to the local folder, right mouse click on the file, and select Metadata Tool from the menu.

  3. Cleaning multiple copies of the document. Copy multiple files and save them to a folder on the local drive. Launch Windows Explorer, navigate to the local folder, Control+Click on each file, right mouse click on one of the selected files, and select Metadata Tool from the menu.

  4. Cleaning an email attachment before sending. Create the message in Outlook, attach the files to the message, and click Send. Based on your current configuration, the Metadata Tool will run and process the documents.

____________________


Uninstalling Metadata Tool

Managing the Installation

  • To remove KI Systems Metadata Tool, click the Windows button, Control Panel, and then Programs & Features.

  • Locate KI Systems Metadata Tool in the list.

  • Double click KI Systems Metadata Tool or hilight it and click Uninstall.

  • Follow the prompts for removal.

Repairing the Installation

In some cases repairing the installation may be appropriate. To repair the installation do the following.

  • Click the Windows button, Control Panel, Programs & Features

  • Hilight KI Systems Metadata Tool

  • Choose Repair when prompted

  • Click Finish to complete repair

____________________


About KI Systems, Inc.

Established in 1994, KI Systems primary focus is providing consulting services and custom software solutions for the legal industry. Fast and Easy Document Production is our forte. KI Systems assists firms of all sizes, from large corporate law firms to the sole practitioner. Our founding partners have been active in the legal industry for over 20 years and we are proud to be Microsoft Certified Partners.

KI Systems offers a variety of services to meet your needs:

Services:

  • System Analysis

  • Programming

Products:

  • Business Pak

  • Desktop Integration Products

  • Forms Pak

  • Pleading Paks

  • Remote Version of Address Book

  • Outlook Synchronizer

  • Numbering Tool

  • Metadata Tool

KI Systems, Inc.
9310 - 176th St. S.E.
Snohomish, Washington 98296-5028
USA

Tel: 425.402.0791
Fax: 360.668.9864

Internet: www.kisys.com

email: kisys@kisys.com

Visit our Tips and Tricks page for information on the Address Book, Templates, Macros and Word.


Blank Page

Type topic text here.

____________________

See also

Analyze
Configure Metadata Tool
Document Management Systems - Hummingbird
Document Management Systems - iManage
Document Management Systems - WorlDox
Outlook Integration
Passworded Form Document
Passworded to Modify
Passworded to Open Print Report
Print Analysis Report
Processing Levels
Processing Options
Processing Settings
Save Analysis Report
To Clean a File in Outlook
To Clean a File in Windows Explorer
To Clean a File in Word
To Clean a File in Word to Send as Attachment
Uninstalling/Removing Metadata Tool


Installation

Windows Vista, Office 2007

Welcome to KI systems installation guide for Metadata Tool 2007. Below you will find step-by-step instructions on how to install KI Systems Metadata Tool on your system.

Note: These installation instructions (and related installer) are applicable to Windows Vista/Office 2007 systems only. If you are working with a different operating system version or a different version of Office, please consult your network admin or KI systems for further instructions.

Getting Started

Before begging the installation

  • Click Next to begin the installation

  • Choose an installation location. Typically, the default installation location is preferred.

  • Click Next when you have selected the installation location

  • Click Next to proceed with the installation

  • When the installer has completed, click finish


Passworded to Open

Documents protected using Windows Information Rights Service may also be checked for metadata using Metadata Tool, after providing the necessary credentials.

  • Provide the password then start the Metadata Tool.

  • The following screen will appear before the Metadata Tool runs:

  • Provide the password again to proceed.

Note: No matter how many times you run the Metadata Tool on a password-protected document, you will be prompted to provide the password every time you process the file. Metadata Tool does not "remember" passwords.

After the Metadata Tool has processed the file, the password is still required to open it.

____________________